pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType > Class Template Reference

`#include <pcl/recognition/face_detection/face_detector_data_provider.h>`

Inheritance diagram for pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >:

## Public Member Functions

| FaceDetectorDataProvider ()
virtual | ~FaceDetectorDataProvider ()
void | setPatchesPerImage (int n)
void | setMinImagesPerBin (int n)
void | setUseNormals (bool use)
void | setWSize (int size)
void | setNumImages (int n)
void | initialize (std::string &data_dir)
void | getDatasetAndLabels (DataSet &data_set, std::vector< LabelType > &label_data, std::vector< ExampleIndex > &examples)
| Virtual function called to obtain training examples and labels before training a specific tree. More...
Public Member Functions inherited from pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >
| DecisionTreeTrainerDataProvider ()
| Constructor. More...
| ~DecisionTreeTrainerDataProvider ()
| Destructor. More...

## Detailed Description

### template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>
class pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >

Definition at line 27 of file face_detector_data_provider.h.

## Constructor & Destructor Documentation

## FaceDetectorDataProvider()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::FaceDetectorDataProvider | ( |  | ) |

inline

Definition at line 131 of file face_detector_data_provider.h.

## ~FaceDetectorDataProvider()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

virtual pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::~FaceDetectorDataProvider | ( |  | ) |

inline virtual

Definition at line 140 of file face_detector_data_provider.h.

## Member Function Documentation

## getDatasetAndLabels()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::getDatasetAndLabels | ( | DataSet & | data_set,
|  | std::vector< LabelType > & | label_data,
|  | std::vector< ExampleIndex > & | examples
| ) |  |

virtual

Virtual function called to obtain training examples and labels before training a specific tree.

Implements pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >.

Referenced by pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setNumImages().

## initialize()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::initialize | ( | std::string & | data_dir | ) |

Referenced by pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setNumImages().

## setMinImagesPerBin()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setMinImagesPerBin | ( | int | n | ) |

inline

Definition at line 150 of file face_detector_data_provider.h.

## setNumImages()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setNumImages | ( | int | n | ) |

inline

Definition at line 165 of file face_detector_data_provider.h.

References pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::getDatasetAndLabels(), and pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::initialize().

## setPatchesPerImage()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setPatchesPerImage | ( | int | n | ) |

inline

Definition at line 145 of file face_detector_data_provider.h.

## setUseNormals()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setUseNormals | ( | bool | use | ) |

inline

Definition at line 155 of file face_detector_data_provider.h.

## setWSize()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setWSize | ( | int | size | ) |

inline

Definition at line 160 of file face_detector_data_provider.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/face_detection/face_detector_data_provider.h